#include <config.h>
#include "mini.h"

#ifdef PLATFORM_WIN32

int
main ()
{
	int argc;
	gunichar2** argvw;
	gchar** argv;
	int i;

	argvw = CommandLineToArgvW (GetCommandLine (), &argc);
	argv = g_new0 (gchar*, argc + 1);
	for (i = 0; i < argc; i++)
		argv [i] = g_utf16_to_utf8 (argvw [i], -1, NULL, NULL, NULL);
	argv [argc] = NULL;

	LocalFree (argvw);

	return mono_main (argc, argv);
}

#else
#include <sched.h>
int
main (int argc, char* argv[])
{
    /* On PowerPC call sched_setaffinity to bind to one CPU only
     * to work around parallelism bug on G5 SMP */
    #ifdef __powerpc__
    unsigned long mask = 1;
    sched_setaffinity(0, sizeof(mask), &mask);
    #endif
	return mono_main (argc, argv);
}

#endif
